package com.hai.model;

import com.hai.entity.ApiProduct;
import com.hai.entity.ApiProductConfig;

import java.math.BigDecimal;

public class ApiProductConfigModel {

     /**
     * 充值类型 1:话费
     */
    private Integer rechargeType;

    /**
     * 话费充值方式 1.快充 2。慢充
     */
    private Integer phoneRechargeType;

    /**
     * 运营商 1 电信 2.移动 3.联通
     */
    private Integer operatorType;

    /**
     * 充值金额
     */
    private BigDecimal rechargePrice;

    /**
     * 折扣比例
     */
    private BigDecimal discount;

    /**
     * 折扣价格
     */
    private BigDecimal discountPrice;

    /**
     * 主键
     */
    private Long apiConfigProductId;


    private Integer configStatus;

    public Integer getConfigStatus() {
        return configStatus;
    }

    public void setConfigStatus(Integer configStatus) {
        this.configStatus = configStatus;
    }

    public Integer getRechargeType() {
        return rechargeType;
    }

    public void setRechargeType(Integer rechargeType) {
        this.rechargeType = rechargeType;
    }

    public Integer getPhoneRechargeType() {
        return phoneRechargeType;
    }

    public void setPhoneRechargeType(Integer phoneRechargeType) {
        this.phoneRechargeType = phoneRechargeType;
    }

    public Integer getOperatorType() {
        return operatorType;
    }

    public void setOperatorType(Integer operatorType) {
        this.operatorType = operatorType;
    }

    public BigDecimal getRechargePrice() {
        return rechargePrice;
    }

    public void setRechargePrice(BigDecimal rechargePrice) {
        this.rechargePrice = rechargePrice;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }

    public Long getApiConfigProductId() {
        return apiConfigProductId;
    }

    public void setApiConfigProductId(Long apiConfigProductId) {
        this.apiConfigProductId = apiConfigProductId;
    }
}
